package com.hz.pm.api.dashboard.model.vo;

import com.hz.pm.api.dashboard.model.basic.AnalysisChart;
import com.hz.pm.api.dashboard.model.basic.CompanyProjectCntBO;
import com.hz.pm.api.dashboard.model.basic.ProjectATIISBO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author liuxinxin
 * @date 2023/8/2 下午3:36
 */

@Data
@ApiModel("驾驶舱投资金额统计数据")
public class DashboardInvestmentSummaryVO {

    /**
     * 近5年项目投资走势
     * 近5年资金核定率走势
     */

    @ApiModelProperty("项目预算TOP5")
    private List<ProjectATIISBO> projectATIISTop5List;

    @ApiModelProperty("单位预算TOP5")
    private List<CompanyProjectCntBO> companyProjectATIISTop5List;

    @ApiModelProperty("各领域项目投资金额,各区域项目投资情况")
    private List<AnalysisChart> analysisChartList;
}
