package com.hz.pm.api.dashboard.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author liuxinxin
 * @date 2023/8/2 下午3:37
 */
@Data
@ApiModel("驾驶舱项目总览驶舱统计数据")
public class DashboardProjectSummaryVO {
    /**
     * 项目画像
     */

    @ApiModelProperty("项目总数")
    private Integer projectCnt;

    @ApiModelProperty("待立项项目数")
    private Integer toBeApprovedProjectCnt;

    @ApiModelProperty("已立项项目数")
    private Integer approvedProjectCnt;

    @ApiModelProperty("项目立项率")
    private Double projectApprovalRate;

    @ApiModelProperty("项目申报总金额")
    private BigDecimal declareAmountSum;

    @ApiModelProperty("项目批复总金额")
    private BigDecimal approvedTotalInvestmentIncreaseSum;

    @ApiModelProperty("延期项目数")
    private Integer delayProjectCnt;

    @ApiModelProperty("延期占比")
    private Double delayProportion;

    @ApiModelProperty("项目变更数量")
    private Integer changedProjectCnt;

    @ApiModelProperty("项目变更金额")
    private BigDecimal changedProjectContractAmountSum;

    @ApiModelProperty("项目采购总金额")
    private BigDecimal projectProcurementTotalAmount;

    //    批复总金额/申报总金额
    @ApiModelProperty("资金核定率")
    private BigDecimal fundApprovalRate;


}
