package com.hz.pm.api.dashboard.model.vo;

import com.hz.pm.api.common.model.entity.DataDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel(value = "预警统计", description = "")
public class EarlyWarningStatisticsVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("累积报警数")
    private Integer accumulatedAlarmsTotal = 0;

    @ApiModelProperty("流程累积报警数")
    private Integer accumulatedAlarmsFlow = 0;

    @ApiModelProperty("填报累积报警数")
    private Integer accumulatedAlarmsFilling = 0;

    @ApiModelProperty("近三年累积报警数")
    private List<DataDTO> threeYearsAlarms;

    @ApiModelProperty("当前各流程报警情况")
    private List<DataDTO> alarmsFlowsNow;

    @ApiModelProperty("当前各填报报警情况")
    private List<DataDTO> alarmsFillingNow;

    @ApiModelProperty("建设周期预警监测")
    private List<DataDTO> constructionAlarms;

    @ApiModelProperty("安全监测")
    private List<DataDTO> safetyMonitoring;
}