package com.hz.pm.api.dashboard.model.vo;

import com.hz.pm.api.common.model.entity.DataDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel(value = "评审会议统计", description = "")
public class MeetingStatisticsVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("评审召开总数")
    private Integer meetingTotal = 0;

    @ApiModelProperty("评审通过数")
    private Integer passReview = 0;

    @ApiModelProperty("评审不通过率")
    private BigDecimal notPassRate = BigDecimal.ZERO;

    @ApiModelProperty("各区县召开总数")
    private List<DataDTO> regionMeetings;

    @ApiModelProperty("预审/验收 会议情况")
    private List<DataDTO> meetingTypes;

    @ApiModelProperty("各区县不通过率")
    private List<DataDTO> notPassRegionMeetings;

    @ApiModelProperty("各部门不通过top10")
    private List<DataDTO> notPassTop10;
}