package com.hz.pm.api.dashboard.model.vo;

import com.hz.pm.api.common.model.entity.DataDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel(value = "绩效统计")
public class PerformanceStatisticsVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("当前已完成项目总数")
    private Integer finishedTotalNow = 0;

    @ApiModelProperty("当前已完成自评总数")
    private Integer finishedSelfNow = 0;

    @ApiModelProperty("当前已完成复评总数")
    private Integer finishedReAppraisalNow = 0;

    @ApiModelProperty("当前需整改项目总数")
    private Integer rectifyTotalNow = 0;

    @ApiModelProperty("是否评价")
    private List<DataDTO> regionMeetings;

    @ApiModelProperty("预审/验收 会议情况")
    private List<DataDTO> meetingTypes;

    @ApiModelProperty("各区县不通过率")
    private List<DataDTO> notPassRegionMeetings;

    @ApiModelProperty("各部门不通过top10")
    private List<DataDTO> notPassTop10;
}