package com.hz.pm.api.dashboard.model.vo;

import com.hz.pm.api.common.model.entity.DataDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "项目统计")
public class ProjectStatisticsVO {

    @ApiModelProperty("项目计划数")
    private Integer planTotal = 0;

    @ApiModelProperty("批复项目数")
    private Integer approvedTotal = 0;

    @ApiModelProperty("在建项目数")
    private Integer constructionTotal = 0;

    @ApiModelProperty("平均批复周期(月)")
    private Integer approvalCycleAvg = 0;

    @ApiModelProperty("平均建设周期(月)")
    private Integer constructionCycleAvg = 0;

    @ApiModelProperty("各阶段项目统计")
    private List<DataDTO> progresses;

    @ApiModelProperty("近三年平均批复周期")
    private List<DataDTO> threeYearsApprovalCycleAvg;

    @ApiModelProperty("近三年平均建设周期")
    private List<DataDTO> threeYearsConstructionCycleAvg;

    @ApiModelProperty("项目分布类型")
    private List<DataDTO> projectTypeDistribution;

    @ApiModelProperty("金额变更统计TOP10")
    private List<DataDTO> amountChangeTop10;

    @ApiModelProperty("项目撤销统计TOP10")
    private List<DataDTO> revokeTop10;

    @ApiModelProperty("项目终止统计TOP10")
    private List<DataDTO> terminationTop10;

    @ApiModelProperty("项目延期统计TOP10")
    private List<DataDTO> delayTop10;
}