package com.hz.pm.api.dashboard.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author ZPF
 * @date 2023/10/9 下午3:07
 */

@Data
@ApiModel("驾驶舱项目画像里的项目信息VO")
public class ProtraitProjectInfoVO {

    @ApiModelProperty("项目名字")
    private String projectName;

    @ApiModelProperty("项目编号")
    private String projectCode;

    @ApiModelProperty("建设单位code")
    private String buildOrgCode;

    @ApiModelProperty("建设单位名")
    private String buildOrgName;

    @ApiModelProperty("批复金额")
    private BigDecimal approvalAmount;

    @ApiModelProperty("项目预算年度")
    private Integer projectYear;

    @ApiModelProperty("建设周期（月）")
    private String buildCycle;

    @ApiModelProperty("项目安全投入占比")
    private String safetyInputRate;

    @ApiModelProperty("项目简介")
    private String projectIntroduction;

    @ApiModelProperty("超期情况")
    private String overdueSituation;

    @ApiModelProperty("状态")
    private String status;

    @ApiModelProperty("项目状态情况")
    private List<ProtraitProjectStatusSituationVO> statusSituation;

    @ApiModelProperty("系统定位")
    private String systemPosition;
}

