package com.hz.pm.api.projectdeclared.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * 标段初验材料参数类
 * </p>
 *
 * @author WendyYang
 * @since 20:42 2024/2/24
 */
@Data
public class PreInsSaveDTO {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("初验材料")
    @NotBlank(message = "请提交初验材料")
    private String preliminaryInspectionMaterials;

    @ApiModelProperty("初验验收人员")
    private List<PreInsAcceptancePersonSaveDTO> acceptancePersons;

    @ApiModelProperty("是否完成日志数据归集")
    private Boolean isCompletedLogCollection;

    @ApiModelProperty("实际成效指标")
    private String actualPerformanceIndicators;

}
