package com.hz.pm.api.projectdeclared.model.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * SubmitConstructionReq
 * </p>
 *
 * @author WendyYang
 * @since 00:14 2024/2/23
 */
@Data
@ApiModel(value = "合同对象")
public class SubmitConstructionReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("合同ID")
    private Long constructionId;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("合同名称")
    private String name;

    @ApiModelProperty("合同总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty("合同编号")
    private String constructionNo;

    @ApiModelProperty("合同完成时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime contractTime;

    @ApiModelProperty("附件")
    private String attachment;

    @ApiModelProperty("供应商联系人")
    private String supplierContact;

    @ApiModelProperty("供应商联系方式")
    private String supplierContactInfo;

}
