package com.hz.pm.api.projectdeclared.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 标段终验材料参数类
 * </p>
 *
 * @author WendyYang
 * @since 20:42 2024/2/24
 */
@Data
public class SubmitFinallyInspectedReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "项目ID不能为空")
    private Long projectId;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("终验材料")
    @NotBlank(message = "请提交终验材料")
    private String inspectionMaterials;

}
