package com.hz.pm.api.projectdeclared.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * <p>
 * 采购信息备案提交参数类
 * </p>
 *
 * @author WendyYang
 * @since 11:34 2024/2/22
 */
@Data
@AllArgsConstructor
public class SubmitPurchaseRecordReq {

    @ApiModelProperty("项目ID")
    @NotNull(message = "请传项目ID")
    private Long projectId;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("标段类型")
    private Integer bidType;

    @ApiModelProperty("供应商")
    private String supplier;

    @ApiModelProperty("供应商社会信用代码")
    private String supplierSocialCreditCode;

    @ApiModelProperty("投标文件")
    private String biddingDoc;

    @ApiModelProperty("中标通知书")
    private String acceptanceLetter;

    @ApiModelProperty("标段建设内容")
    private String bidBuildContent;

}
