package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Classname Purchase
 * @Description
 * @Date 2023/5/29 10:00
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "采购对象")
@AllArgsConstructor
public class PurchaseVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("标段状态")
    private Integer status;

    @ApiModelProperty("标段状态名称")
    private String statusName;

    @ApiModelProperty("标段预算")
    private BigDecimal bidBudget;

    @ApiModelProperty("标段名称")
    private String bidName;

    @ApiModelProperty("标段类型")
    private Integer bidType;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人 工号")
    private String createBy;

    @ApiModelProperty("修改人 工号")
    private String updateBy;

    @ApiModelProperty("供应商")
    private String supplier;

    @ApiModelProperty("供应商联系人")
    private String supplierContact;

    @ApiModelProperty("供应商联系方式")
    private String supplierContactInfo;

    @ApiModelProperty("供应商社会信用代码")
    private String supplierSocialCreditCode;

    @ApiModelProperty("采购方式 1公开招标 2自行采购")
    private String purchaseMethod;

    @ApiModelProperty("成交金额")
    private BigDecimal transactionAmount;

    @ApiModelProperty("成交时间")
    private LocalDateTime transactionTime;

    @ApiModelProperty("代理机构")
    private String agency;

    @ApiModelProperty("投标地址(政府采购网地址)")
    private String bidAddress;

    @ApiModelProperty("开标时间")
    private LocalDateTime bidStartTime;

    @ApiModelProperty("投标截止时间")
    private LocalDateTime bidEndTime;

    @ApiModelProperty("代理机构社会统一信用代码")
    private String purchaseSocialCreditCode;

    @ApiModelProperty("投标文件")
    private String biddingDoc;

    @ApiModelProperty("招标文件")
    private String bidDoc;

    @ApiModelProperty("中标通知书")
    private String acceptanceLetter;

    @ApiModelProperty("预算执行确认书编号")
    private String budgetExecConfirmNo;

    @ApiModelProperty("标段建设内容")
    private String bidBuildContent;

    @ApiModelProperty("采购范围：1 公开采购、2 非公开采购")
    private Integer purchaseScope;

    @ApiModelProperty("采购单位")
    private String purchaseUnit;

    @ApiModelProperty("采购联系人")
    private String purchaseContact;

    @ApiModelProperty("采购联系电话")
    private String purchasePhone;

    @ApiModelProperty("采购联系地址")
    private String purchaseConnectAddress;

    @ApiModelProperty("采购说明")
    private String purchaseRemark;

    @ApiModelProperty("是否符合信创符合性要求")
    private Boolean matchXcfhx;

    @ApiModelProperty("备注")
    private String xcfhxApplyRemark;

    @ApiModelProperty("其他附件")
    private String xcfhxApplyFiles;

    @ApiModelProperty("信创报告")
    private String xcfhxReportFiles;

    @ApiModelProperty("信创符合性测评报告文件")
    @NotBlank(message = "信创符合性测评报告文件不能为空")
    private String mhXcfhxReportFile;

    @ApiModelProperty("信创符合性测评记录ID")
    @NotBlank(message = "信创符合性测评记录ID不能为空")
    private String mhXcfhxReportRecordId;

    @ApiModelProperty("初验材料")
    @NotBlank(message = "请提交初验材料")
    private String preliminaryInspectionMaterials;

    @ApiModelProperty("初验 是否完成日志数据归集")
    private Boolean isCompletedLogCollection;

    @ApiModelProperty("初验 实际成效指标")
    private String actualPerformanceIndicators;

    @ApiModelProperty("终验申报材料")
    private String finalInspectionMaterials;

}
