package com.hz.pm.api.projectdeclared.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hz.pm.api.projectdeclared.model.entity.Contract;
import com.ningdatech.basic.util.CollUtils;

import java.util.Collection;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author zpf
 * @since 2023-05-29
 */
public interface IContractService extends IService<Contract> {

    default Map<Long, Contract> listByBidIds(Collection<Long> bidIds) {
        LambdaQueryWrapper<Contract> query = Wrappers.lambdaQuery(Contract.class)
                .in(Contract::getBidId, bidIds);
        return CollUtils.listToMap(list(query), Contract::getBidId);
    }

    default Map<Long, Contract> listByProjectIds(Collection<Long> projectIds) {
        LambdaQueryWrapper<Contract> query = Wrappers.lambdaQuery(Contract.class)
                .in(Contract::getProjectId, projectIds);
        return CollUtils.listToMap(list(query), Contract::getBidId);
    }

}
