package com.hz.pm.api.projectlib.model.enumeration;

import com.hz.pm.api.common.util.StrUtils;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

import java.util.Arrays;
import java.util.Optional;

/**
 * <p>
 * GovSystemReplaceTypeEnum
 * </p>
 *
 * @author WendyYang
 * @since 12:01 2024/2/29
 */
@Getter
@AllArgsConstructor
public enum GovSystemReplaceTypeEnum {

    // 综合集成、改造提升、基础设施、统建应用、新建、暂缓

    COMPREHENSIVE_INTEGRATION("综合集成", 1),
    RECONSTRUCTION("改造提升", 2),
    INFRASTRUCTURE("基础设施", 3),
    UNIFIED_CONSTRUCTION_APPLICATION("统建应用", 4),
    NEW_BUILT("新建", 5),
    SUSPEND("暂缓", 6);

    private final String val;

    private final Integer code;


    public static Optional<GovSystemReplaceTypeEnum> get(Integer code) {
        return Arrays.stream(values())
                .filter(w -> w.getCode().equals(code))
                .findFirst();
    }

    public static Optional<GovSystemReplaceTypeEnum> getByVal(String val) {
        return Arrays.stream(values())
                .filter(w -> w.getVal().equals(val))
                .findFirst();
    }

    public static String getVal(Integer code) {
        return get(code)
                .flatMap(w -> Optional.of(w.getVal()))
                .orElse(StrUtils.EMPTY);
    }

}
