package com.hz.pm.api.sys.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 项目预警
 * @author PoffyZhang
 */
@Data
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@TableName("nd_project_early_warning")
@ApiModel(value = "ProjectEarlyWarning", description = "项目预警")
public class ProjectEarlyWarning implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "项目编码")
    private String projectCode;

    @ApiModelProperty(value = "区域")
    private String areaCode;

    @ApiModelProperty(value = "建设单位CODE")
    private String buildOrgCode;

    @ApiModelProperty(value = "预警状态")
    private String status;

    @ApiModelProperty(value = "流程预警是否异常")
    private Boolean processWarning;
    @ApiModelProperty(value = "填报预警是否异常")
    private Boolean declaredWarning;
    @ApiModelProperty(value = "运维预警是否异常")
    private Boolean operationWarning;
    @ApiModelProperty(value = "续建资金预警是否异常")
    private Boolean renewalFundWarning;
    @ApiModelProperty(value = "是否正常")
    private Boolean normal;

    @ApiModelProperty(value = "规则类型 1.流程预警规则 2.填报预警规则 3.实施监督 4.续建资金项目")
    private Integer ruleType;
    @ApiModelProperty(value = "1超期 2临期")
    private Integer noticeType;

    private LocalDateTime createOn;

}
