package com.hz.pm.api.sys.model.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.hz.pm.api.common.model.entity.MenuTreeEntity;
import com.hz.pm.api.sys.model.enumeration.MenuTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 * 实体类
 * 菜单
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-9-30
 */
@Data
@NoArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "RoleMenuVO", description = "菜单")
@AllArgsConstructor
public class MenuRoleVO extends MenuTreeEntity<MenuRoleVO> {

    private static final long serialVersionUID = 1L;

    /**
     * 类型;[0-菜单 1-目录 2-按钮]
     */
    @ApiModelProperty(value = "类型")
    private MenuTypeEnum menuType;

    /**
     * 组件
     */
    @ApiModelProperty(value = "组件")
    private String component;

    /**
     * 菜单图标
     */
    @ApiModelProperty(value = "菜单图标")
    private String icon;

    /**
     * 是否隐藏
     */
    @ApiModelProperty(value = "是否隐藏")
    private Integer hidden;

    /**
     * 是否有权限
     */
    @ApiModelProperty(value = "是否有权限 0没有 1有")
    private Integer hasPermission = 0;

    /**
     * activeMenu
     */
    @ApiModelProperty(value = "activeMenu")
    private String activeMenu;

    /**
     * 跳转
     */
    @ApiModelProperty(value = "跳转")
    @TableField(value = "redirect")
    private String redirect;

}
