package com.hz.pm.api.todocenter.utils;

import cn.hutool.core.collection.CollUtil;
import com.wflow.workflow.bean.process.ProgressNode;

import java.util.List;

/**
 * <p>
 * ProcessUtil
 * </p>
 *
 * @author WendyYang
 * @since 14:45 2024/4/16
 */
public class ProcessUtil {

    private ProcessUtil() {

    }

    /**
     * 判断是否包含 此任务
     *
     * @param nodes  \
     * @param taskId \
     * @return \
     */
    public static boolean containsTask(List<ProgressNode> nodes, String taskId) {
        if (CollUtil.isEmpty(nodes)) {
            return Boolean.FALSE;
        }

        for (ProgressNode node : nodes) {
            if (node.getTaskId().equals(taskId)) {
                return Boolean.TRUE;
            }
            if (CollUtil.isNotEmpty(node.getChildren()) &&
                    (containsTask(node.getChildren(), taskId))) {
                return Boolean.TRUE;
            }
        }
        return Boolean.FALSE;
    }

}
